pub use sea_orm_migration::prelude::*;

mod m20220101_000001_bootstrap;
mod m20230729_201733_drop_messaging_integrations;
mod m20230729_212237_user_unique_idx;
mod m20230806_142918_drop_featured_note_option;
mod m20240107_005747_remove_user_groups;
mod m20240107_220523_generated_is_quote;
mod m20240107_224446_generated_is_renote;
mod m20240112_215106_remove_pages;
mod m20240112_234759_remove_gallery;
mod m20240115_212109_remove_poll_vote_notification;
mod m20240228_155051_mag_notification_types_muting;

pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20220101_000001_bootstrap::Migration),
            Box::new(m20230729_201733_drop_messaging_integrations::Migration),
            Box::new(m20230729_212237_user_unique_idx::Migration),
            Box::new(m20230806_142918_drop_featured_note_option::Migration),
            Box::new(m20240107_005747_remove_user_groups::Migration),
            Box::new(m20240107_220523_generated_is_quote::Migration),
            Box::new(m20240107_224446_generated_is_renote::Migration),
            Box::new(m20240112_215106_remove_pages::Migration),
            Box::new(m20240112_234759_remove_gallery::Migration),
            Box::new(m20240115_212109_remove_poll_vote_notification::Migration),
            Box::new(m20240228_155051_mag_notification_types_muting::Migration),
        ]
    }
}
